#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Expat
Summary:	XML::SAX::Expat - SAX2 driver for Expat (XML::Parser)
Summary(pl.UTF-8):	XML::SAX::Expat - sterownik SAX2 dla modułu Expat (XML::Parser)
Name:		perl-XML-SAX-Expat
Version:	0.51
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	74c540095d84e3f054d1f8703a73ef76
URL:		http://search.cpan.org/dist/XML-SAX-Expat/
BuildRequires:	perl(XML::SAX::Base) >= 1.00
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-XML-Parser >= 2.27
BuildRequires:	perl-XML-SAX >= 0.03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	perl-XML-SAX >= 0.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an implementation of a SAX2 driver sitting on top of Expat
(XML::Parser).

%description -l pl.UTF-8
To jest implementacja sterownika SAX2 w oparciu o moduł Expat
(XML::Parser).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# we want to add_parser in post, not on make install
%{__sed} -i -e '/^sub MY::install/,/^}/ s/^/#/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%postun
if [ "$1" = "0" ] && [ -x %{__perl} ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::Expat))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/XML/SAX/Expat.pm
%{_mandir}/man3/XML::SAX::Expat.3pm*
%changelog
* Fri Jan 17 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-SAX-Expat.git;a=log;h=master

* Fri Jan 17 2020 Jan Rękorajski <baggins@pld-linux.org> 7ec82a2
- fix running post(un) scripts
- rel 2

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2892ba5
- updated to 0.51
- safer way to disable post-install step in Makefile.PL

* Sun Nov 21 2010 Elan Ruusamäe <glen@pld-linux.org> b42691d
- perl may be missing on postun on perl removal

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 62e5aca
- updated to 0.40

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 74e56db
- generic URL

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e3dcf03
- up to 0.39

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 605a2ca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9df7fe1
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> de005c4
- formatting

* Wed May 05 2004 ankry <ankry@pld-linux.org> c30800a
- license unification, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 7b0655e
- cosmetics, unification

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> ca97339
- new

